module.exports = {
  create: {
    requestBody: ["send_id", "send_name", "to_type", "to_id", "content"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["send_id", "send_name", "to_type", "to_id", "content"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        send_id: "send_id",
        send_name: "%send_name%",
        to_type: "to_type",
        to_id: "to_id",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
