'use strict';
const meta = require('./.disclosure.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 交底书
class DisclosureController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.patent.disclosure;
  }
  async haveReport() {
    const data = await this.service.haveReport(this.ctx.query);
    this.ctx.ok(data);
  }


  async toExport() {
    await this.service.toExport(this.ctx.request.body);
    this.ctx.ok();
  }

}
module.exports = CrudController(DisclosureController, meta);
