'use strict';
const meta = require('./.patentinfo.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 专利信息
class PatentinfoController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.patent.patentinfo;
  }

  async queryByOrg() {
    const data = await this.service.queryByOrg(this.ctx.query);
    this.ctx.ok(data);
  }

  async mechQuery() {
    const data = await this.service.mechQuery(this.ctx.query);
    this.ctx.ok(data);
  }
}
module.exports = CrudController(PatentinfoController, meta);
