'use strict';
const meta = require('./.person_room.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 个人聊天房间
class Person_roomController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.users.personRoom;
  }
  async index() {
    const { data, total } = await this.service.query(this.ctx.query);
    this.ctx.ok({ data, total });
  }
}
module.exports = CrudController(Person_roomController, meta);
