'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/live/';
  const vision = 'v0';
  const index = 'cysci';
  const target = 'declare';
  const m = app.middleware.medium();
  router.resources(target, `${profix}${vision}/${index}/${target}`, m, controller[index][target]); // index、create、show、destroy
  router.post(target, `${profix}${vision}/${index}/${target}/update/:id`, controller[index][target].update);
};
