'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/live/';
  const vision = 'v0';
  const index = 'patent';
  const target = 'notice';
  const metaTime = app.middleware.createTime();
  router.resources(target, `${profix}${vision}/${index}/${target}`, metaTime, controller[index][target]); // index、create、show、destroy
  router.post(target, `${profix}${vision}/${index}/${target}/update/:id`, controller[index][target].update);
};
