'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/live/';
  const vision = 'v0';
  const index = 'statistics';
  const target = 'index';
  router.get(target, `${profix}${vision}/${index}/${target}/dockProduct`, controller[index][target].dockProduct);
  router.get(target, `${profix}${vision}/${index}/${target}/dockIndex`, controller[index][target].dockIndex);
  router.get(target, `${profix}${vision}/${index}/${target}/index`, controller[index][target].index);
  router.get(target, `${profix}${vision}/${index}/${target}/patent`, controller[index][target].patent);
  router.get(target, `${profix}${vision}/${index}/${target}/product`, controller[index][target].product);
  router.get(target, `${profix}${vision}/${index}/${target}/expert`, controller[index][target].expert);
  router.get(target, `${profix}${vision}/${index}/${target}/circle`, controller[index][target].circle);
  router.get(target, `${profix}${vision}/${index}/${target}/orgCount`, controller[index][target].orgCount);
  router.get(target, `${profix}${vision}/${index}/${target}/pac`, controller[index][target].policyApplyCount);
  router.get(target, `${profix}${vision}/${index}/${target}/declare`, controller[index][target].declare);
  router.get(target, `${profix}${vision}/${index}/${target}/patentUserIndex`, controller[index][target].patentUserIndex);


};
