'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/live/';
  const vision = 'v0';
  const index = 'system';
  const target = 'code';
  router.post(target, `${profix}${vision}/${index}/${target}/name`, controller[index][target].codeName);
  router.get(target, `${profix}${vision}/${index}/${target}/xzqh`, controller[index][target].xzqh);
  router.resources(target, `${profix}${vision}/${index}/${target}`, controller[index][target]); // index、create、show、destroy
  router.post(target, `${profix}${vision}/${index}/${target}/update/:id`, controller[index][target].update);
};
