'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/live/';
  const vision = 'v0';
  const index = 'users';
  const target = 'organization';
  router.post(target, `${profix}${vision}/${index}/${target}/wxLogin`, controller[index][target].wxLogin);
  router.post(target, `${profix}${vision}/${index}/${target}/bindRemove`, controller[index][target].bindRemove);
  router.post(target, `${profix}${vision}/${index}/${target}/bind`, controller[index][target].bind);
  router.get(target, `${profix}${vision}/${index}/${target}/getList`, controller[index][target].getList);
  router.post(target, `${profix}${vision}/${index}/${target}/login`, controller[index][target].login);
  router.post(target, `${profix}${vision}/${index}/${target}/password/:id`, controller[index][target].password);
  router.resources(target, `${profix}${vision}/${index}/${target}`, controller[index][target]); // index、create、show、destroy
  router.post(target, `${profix}${vision}/${index}/${target}/update/:id`, controller[index][target].update);
};
