'use strict';
const meta = require('./.patentearly.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 专利运营已授权专利预警表
class PatentearlyController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.patent.patentearly;
  }

  async queryByOrg() {
    const data = await this.service.queryByOrg(this.ctx.query);
    this.ctx.ok(data);
  }
}
module.exports = CrudController(PatentearlyController, meta);
