'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/live/';
  const vision = 'v0';
  const index = 'dock';
  const target = 'patent';
  // 专利表
  router.resources(target, `${profix}${vision}/${index}/${target}`, controller[index][target]); // index、create、show、destroy
  router.post(target, `${profix}${vision}/${index}/${target}/update/:id`, controller[index][target].update);
  // 导入专利
  router.post(target, `${profix}${vision}/${index}/${target}/import`, controller[index][target].toImport);
  // 导出
  router.post(target, `${profix}${vision}/${index}/${target}/export`, controller[index][target].toExport);
  router.get(target, `${profix}${vision}/${index}/${target}/getByCN/:create_number`, controller[index][target].getByCN);

};
