'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/live/';
  const vision = 'v0';
  const index = 'users';
  const target = 'expert';
  router.get(target, `${profix}${vision}/${index}/${target}`, controller[index][target].index);
  router.get(target, `${profix}${vision}/${index}/${target}/:user_id`, controller[index][target].show);
  router.post(target, `${profix}${vision}/${index}/${target}/update/:id`, controller[index][target].update);
};
